POST Update Equipment Status
Introduction
Updates the status information of existing equipment in the yard. This endpoint is used to modify equipment attributes such as location, cargo status, condition, carrier, customer, and operational status as equipment moves through different yard operations. Common use cases include updating location after equipment relocation, changing cargo status during loading/unloading operations, recording equipment condition changes, and updating seal numbers. This ensures real-time tracking of equipment state throughout yard operations.
API Request
POST /equipment-status/{equipmentId}/update
Body Request Parameters
{
"equipmentType": "VEHICLE",
"carrierId": "string",
"customerId": "string",
"inYard": true,
"yardId": "string",
"locationId": "string",
"lastCheckInTime": "string",
"lastCheckOutTime": "string",
"lastEntryId": "string",
"cargoStatus": "UNKNOWN",
"sealNumber": "string",
"sealNumberPhoto": "string",
"equipmentCondition": "UNKNOWN",
"description": "string",
"missingCount": 0,
"equipmentPhotos": [
"string"
],
"referenceNos": [
"string"
],
"checkInEntry": "string",
"companyCode": "string",
"equipmentNo": "string"
}Request Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
| equipmentId | path | string | Yes | none |
| X-Tenant-ID | header | string | No | none |
| X-Yard-ID | header | string | No | none |
| Item-Time-Zone | header | string | No | none |
| Authorization | header | string | No | none |
| body | body | EquipmentStatusUpdateCmd | No | none |
Response Example
200 Response
{
"code": 0,
"msg": "",
"success": false,
"data": {
"id": 0,
"equipmentId": "",
"equipmentNo": "",
"equipmentType": "",
"carrierId": "",
"customerId": "",
"inYard": false,
"yardId": "",
"locationId": "",
"previousLocationId": "",
"locationType": "",
"lastCheckInTime": "",
"lastCheckOutTime": "",
"lastEntryId": "",
"createdTime": "",
"createdBy": "",
"updatedTime": "",
"updatedBy": "",
"checkInEntry": "",
"cargoStatus": "",
"sealNumber": "",
"sealNumberPhoto": "",
"equipmentCondition": "",
"description": "",
"equipmentPhotos": [
""
],
"customerName": "",
"carrierName": "",
"locationName": "",
"equipmentDetailView": {
"id": 0,
"equipmentId": "",
"equipmentType": "",
"vehicleType": "",
"equipmentNo": "",
"equipmentNoPhoto": "",
"reefer": false,
"createdTime": "",
"createdBy": "",
"updatedTime": "",
"updatedBy": "",
"trailerSize": "",
"equipmentStatusView": {
"id": 0,
"equipmentId": "",
"equipmentNo": "",
"equipmentType": "",
"carrierId": "",
"customerId": "",
"inYard": false,
"yardId": "",
"locationId": "",
"previousLocationId": "",
"locationType": "",
"lastCheckInTime": "",
"lastCheckOutTime": "",
"lastEntryId": "",
"createdTime": "",
"createdBy": "",
"updatedTime": "",
"updatedBy": "",
"checkInEntry": "",
"cargoStatus": "",
"sealNumber": "",
"sealNumberPhoto": "",
"equipmentCondition": "",
"description": "",
"equipmentPhotos": [
""
],
"customerName": "",
"carrierName": "",
"locationName": "",
"equipmentDetailView": {
"id": 0,
"equipmentId": "",
"equipmentType": "",
"vehicleType": "",
"equipmentNo": "",
"equipmentNoPhoto": "",
"reefer": false,
"createdTime": "",
"createdBy": "",
"updatedTime": "",
"updatedBy": "",
"trailerSize": "",
"equipmentStatusView": {},
"containerSize": "",
"containerNo": "",
"locationName": "",
"locationId": "",
"rfidCode": ""
},
"missingCount": 0,
"receiptViews": [
{
"id": 0,
"receiptId": "",
"receiptStatus": "",
"receiptType": "",
"poNo": "",
"carrierId": "",
"customerId": "",
"referenceNo": "",
"equipmentType": "",
"equipmentNo": "",
"totalPalletQty": 0,
"itemLines": [
{
"itemId": "",
"itemName": "",
"itemQty": "",
"palletQty": "",
"itemSpecDesc": "",
"itemSpecName": "",
"uomId": "",
"qty": ""
}
],
"appointmentTime": "",
"appointmentId": "",
"sealNo": "",
"dataChannel": "",
"eventTime": "",
"extraData": "",
"carrierName": "",
"customerName": "",
"dynamicFieldValues": [
{
"entityId": "",
"entityType": "",
"fieldCode": "",
"value": "",
"fieldName": "",
"longValue": "",
"shortValue": ""
}
],
"proNos": [
""
],
"invoicePros": [
""
],
"doNos": [
""
],
"tripNo": ""
}
],
"loadViews": [
{
"id": "",
"loadId": "",
"loadStatus": "",
"loadNo": "",
"shipMethod": "",
"carrierId": "",
"appointmentTime": "",
"appointmentId": "",
"orderIds": [
""
],
"customerId": "",
"masterBol": "",
"sealNo": "",
"customerName": "",
"carrierName": "",
"orderViews": [
{
"id": 0,
"orderId": "",
"orderStatus": "",
"customerId": "",
"poNo": "",
"referenceNo": "",
"retailer": "",
"shipFrom": "",
"shipTo": "",
"totalPalletQty": 0,
"totalCartonQty": 0,
"itemInfos": [
{
"itemId": "",
"itemName": "",
"itemQty": "",
"palletQty": "",
"itemSpecDesc": "",
"itemSpecName": "",
"uomId": "",
"qty": ""
}
],
"customerName": "",
"carrierName": "",
"shipToAddress": {
"id": "",
"name": "",
"country": "",
"state": "",
"city": "",
"zipCode": "",
"fax": "",
"address1": "",
"address2": "",
"contact": "",
"phone": "",
"extension": "",
"email": "",
"orgId": "",
"orgName": "",
"referenceNo": "",
"batchCode": "",
"storeNo": "",
"shorthand": "",
"toHome": false,
"tags": [
""
],
"latitude": "",
"longitude": "",
"crmAddressId": ""
},
"shipFromAddress": {
"id": "",
"name": "",
"country": "",
"state": "",
"city": "",
"zipCode": "",
"fax": "",
"address1": "",
"address2": "",
"contact": "",
"phone": "",
"extension": "",
"email": "",
"orgId": "",
"orgName": "",
"referenceNo": "",
"batchCode": "",
"storeNo": "",
"shorthand": "",
"toHome": false,
"tags": [
""
],
"latitude": "",
"longitude": "",
"crmAddressId": ""
},
"appointmentTime": "",
"dynamicFieldValues": [
{
"entityId": "",
"entityType": "",
"fieldCode": "",
"value": "",
"fieldName": "",
"longValue": "",
"shortValue": ""
}
],
"proNos": [
""
],
"invoicePros": [
""
],
"doNos": [
""
],
"tripNo": "",
"shippedTime": ""
}
],
"dynamicFieldValues": [
{
"entityId": "",
"entityType": "",
"fieldCode": "",
"value": "",
"fieldName": "",
"longValue": "",
"shortValue": ""
}
],
"equipmentType": "",
"equipmentNo": "",
"referenceNoList": [
""
],
"poNoList": [
""
],
"templateLoadKey": "",
"proNos": [
""
],
"invoicePros": [
""
],
"doNos": [
""
],
"tripNos": [
""
],
"loadType": "",
"stagingLocationName": "",
"shippedTime": ""
}
],
"referenceNos": [
""
],
"companyCode": "",
"equipmentOperationStatus": "",
"vehicleType": "",
"rfidCode": "",
"taskViews": [
{
"id": 0,
"taskId": "",
"taskType": "",
"timeStatus": "",
"startTime": "",
"lastPauseTime": "",
"endTime": "",
"totalRunTime": 0,
"totalPausedTime": 0,
"createdTime": "",
"updatedTime": "",
"createdBy": "",
"updatedBy": "",
"assignUserName": "",
"plannedLocationId": "",
"assignLocationId": "",
"assignLocationName": "",
"customerId": "",
"customerName": "",
"entryId": "",
"loadIds": [
""
],
"receiptIds": [
""
],
"taskStatus": "",
"assigneeUserId": "",
"description": "",
"priority": "",
"note": "",
"lastStepAssignedUserIds": [
""
],
"planedLastStepAssignedUserIds": [
""
],
"lastStepAssignedUserNames": [
""
],
"planedLastStepAssignedUserNames": [
""
],
"lastStepId": "",
"planedAssignAllSteps": false
}
],
"entryTicketType": ""
},
"containerSize": "",
"containerNo": "",
"locationName": "",
"locationId": "",
"rfidCode": ""
},
"missingCount": 0,
"receiptViews": [
{
"id": 0,
"receiptId": "",
"receiptStatus": "",
"receiptType": "",
"poNo": "",
"carrierId": "",
"customerId": "",
"referenceNo": "",
"equipmentType": "",
"equipmentNo": "",
"totalPalletQty": 0,
"itemLines": [
{
"itemId": "",
"itemName": "",
"itemQty": "",
"palletQty": "",
"itemSpecDesc": "",
"itemSpecName": "",
"uomId": "",
"qty": ""
}
],
"appointmentTime": "",
"appointmentId": "",
"sealNo": "",
"dataChannel": "",
"eventTime": "",
"extraData": "",
"carrierName": "",
"customerName": "",
"dynamicFieldValues": [
{
"entityId": "",
"entityType": "",
"fieldCode": "",
"value": "",
"fieldName": "",
"longValue": "",
"shortValue": ""
}
],
"proNos": [
""
],
"invoicePros": [
""
],
"doNos": [
""
],
"tripNo": ""
}
],
"loadViews": [
{
"id": "",
"loadId": "",
"loadStatus": "",
"loadNo": "",
"shipMethod": "",
"carrierId": "",
"appointmentTime": "",
"appointmentId": "",
"orderIds": [
""
],
"customerId": "",
"masterBol": "",
"sealNo": "",
"customerName": "",
"carrierName": "",
"orderViews": [
{
"id": 0,
"orderId": "",
"orderStatus": "",
"customerId": "",
"poNo": "",
"referenceNo": "",
"retailer": "",
"shipFrom": "",
"shipTo": "",
"totalPalletQty": 0,
"totalCartonQty": 0,
"itemInfos": [
{
"itemId": "",
"itemName": "",
"itemQty": "",
"palletQty": "",
"itemSpecDesc": "",
"itemSpecName": "",
"uomId": "",
"qty": ""
}
],
"customerName": "",
"carrierName": "",
"shipToAddress": {
"id": "",
"name": "",
"country": "",
"state": "",
"city": "",
"zipCode": "",
"fax": "",
"address1": "",
"address2": "",
"contact": "",
"phone": "",
"extension": "",
"email": "",
"orgId": "",
"orgName": "",
"referenceNo": "",
"batchCode": "",
"storeNo": "",
"shorthand": "",
"toHome": false,
"tags": [
""
],
"latitude": "",
"longitude": "",
"crmAddressId": ""
},
"shipFromAddress": {
"id": "",
"name": "",
"country": "",
"state": "",
"city": "",
"zipCode": "",
"fax": "",
"address1": "",
"address2": "",
"contact": "",
"phone": "",
"extension": "",
"email": "",
"orgId": "",
"orgName": "",
"referenceNo": "",
"batchCode": "",
"storeNo": "",
"shorthand": "",
"toHome": false,
"tags": [
""
],
"latitude": "",
"longitude": "",
"crmAddressId": ""
},
"appointmentTime": "",
"dynamicFieldValues": [
{
"entityId": "",
"entityType": "",
"fieldCode": "",
"value": "",
"fieldName": "",
"longValue": "",
"shortValue": ""
}
],
"proNos": [
""
],
"invoicePros": [
""
],
"doNos": [
""
],
"tripNo": "",
"shippedTime": ""
}
],
"dynamicFieldValues": [
{
"entityId": "",
"entityType": "",
"fieldCode": "",
"value": "",
"fieldName": "",
"longValue": "",
"shortValue": ""
}
],
"equipmentType": "",
"equipmentNo": "",
"referenceNoList": [
""
],
"poNoList": [
""
],
"templateLoadKey": "",
"proNos": [
""
],
"invoicePros": [
""
],
"doNos": [
""
],
"tripNos": [
""
],
"loadType": "",
"stagingLocationName": "",
"shippedTime": ""
}
],
"referenceNos": [
""
],
"companyCode": "",
"equipmentOperationStatus": "",
"vehicleType": "",
"rfidCode": "",
"taskViews": [
{
"id": 0,
"taskId": "",
"taskType": "",
"timeStatus": "",
"startTime": "",
"lastPauseTime": "",
"endTime": "",
"totalRunTime": 0,
"totalPausedTime": 0,
"createdTime": "",
"updatedTime": "",
"createdBy": "",
"updatedBy": "",
"assignUserName": "",
"plannedLocationId": "",
"assignLocationId": "",
"assignLocationName": "",
"customerId": "",
"customerName": "",
"entryId": "",
"loadIds": [
""
],
"receiptIds": [
""
],
"taskStatus": "",
"assigneeUserId": "",
"description": "",
"priority": "",
"note": "",
"lastStepAssignedUserIds": [
""
],
"planedLastStepAssignedUserIds": [
""
],
"lastStepAssignedUserNames": [
""
],
"planedLastStepAssignedUserNames": [
""
],
"lastStepId": "",
"planedAssignAllSteps": false
}
],
"entryTicketType": ""
}
}Response
| Status Code | Definition | Description | Data Model |
|---|---|---|---|
| 200 | OK (opens in a new tab) | none | REquipmentStatusView |